SPPTRF(3f)

NAME
SPPTRF - the Cholesky factorization of a real symmetric positive definite matrix A stored in packed format

SYNOPSIS

SUBROUTINE SPPTRF(
    UPLO, N, AP, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, N

REAL
    AP( * )

PURPOSE
SPPTRF computes the Cholesky factorization of a real symmetric positive definite matrix A stored in packed format. The factorization has the form
   A = U**T * U, if UPLO = 'U', or
   A = L * L**T, if UPLO = 'L',
where U is an upper triangular matrix and L is lower triangular.

ARGUMENTS

UPLO    (input) CHARACTER*1
    = 'U': Upper triangle of A is stored;
    = 'L': Lower triangle of A is stored.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

AP      (input/output) REAL array, dimension (N*(N+1)/2)
    On entry, the upper or lower triangle of the symmetric matrix A, packed columnwise in a linear array. The j-th column of A is stored in the array AP as follows: if UPLO = 'U', AP(i + (j-1)*j/2) = A(i,j) for 1<=i<=j; if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = A(i,j) for j<=i<=n. See below for further details. On exit, if INFO = 0, the triangular factor U or L from the Cholesky factorization A = U**T*U or A = L*L**T, in the same storage format as A.

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value
    > 0: if INFO = i, the leading minor of order i is not positive definite, and the factorization could not be completed.

FURTHER DETAILS
The packed storage scheme is illustrated by the following example when N = 4, UPLO = 'U':
Two-dimensional storage of the symmetric matrix A:
   a11 a12 a13 a14
       a22 a23 a24
           a33 a34 (aij = aji)
               a44
Packed storage of the upper triangle of A:
AP = [ a11, a12, a22, a13, a23, a33, a14, a24, a34, a44 ]